PETSc version 3.15.5
Fix/Edit manual page

# SNESMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESMonitorSetFromOptions(SNES snes,const char name[],const char help[], const char manual[],PetscErrorCode (*monitor)(SNES,PetscInt,PetscReal,PetscViewerAndFormat*),PetscErrorCode (*monitorsetup)(SNES,PetscViewerAndFormat*))

Collective on SNES

### Input Parameters

| snes | - SNES object you wish to monitor
| name | - the monitor type one is seeking
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function
| monitorsetup | - a function that is called once ONLY if the user selected this monitor that may set additional features of the SNES or PetscViewer objects

### See Also

PetscOptionsGetViewer(), PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages